Subject: Re: [PATCH net-next 0/4] nsh: headers, GSO

From: "Yang, Yi" <[email-masked]>
Date: Wed, 30 Aug 2017 15:19:37 +0800

On Wed, Aug 30, 2017 at 09:20:40AM +0200, Jiri Benc wrote:
> 
> > I'll post new OVS NSH kernel datapath patch series if NSH GSO is done.
> 
> Please do. Note that it's important to ensure that whenever there's a
> NSH header added, the nsh module gets loaded. The easiest way is to
> factor out code that will be shared by the NSH tc action into nsh.c.
> This would have to be done anyway so let's do it right away.

Do you mean we need move push_nsh from net/openvswitch/actions.c to
net/nsh/nsh.c in order that kernel can load nsh kernel module
automatically?

>  Jiri